STOFFEmbeddedObject Struct Reference documentation

STOFFEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libstaroffice_internal.hxx>`

## Public Member Functions
| STOFFEmbeddedObject ()
| empty constructor
| STOFFEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| constructor
| STOFFEmbeddedObject (STOFFEmbeddedObject const &)=default
| STOFFEmbeddedObject (STOFFEmbeddedObject &&)=default
STOFFEmbeddedObject & | operator= (STOFFEmbeddedObject const &)=default
STOFFEmbeddedObject & | operator= (STOFFEmbeddedObject &&)=default
| ~STOFFEmbeddedObject ()
| destructor
bool | isEmpty () const
| return true if the picture contains no data
void | add (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| add a picture
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist
bool | addAsFillImageTo (librevenge::RVNGPropertyList &propList) const
| add the link property to a graph style as bitmap
int | cmp (STOFFEmbeddedObject const &pict) const
| a comparison function

## Public Attributes
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation
std::vector< std::string > | m_typeList
| the picture type: one type by representation
librevenge::RVNGString | m_filenameLink
| a picture link

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFEmbeddedObject const &pict)
| operator<<

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

## ◆ STOFFEmbeddedObject() [1/4]

STOFFEmbeddedObject::STOFFEmbeddedObject | ( |  | ) |
| inline

empty constructor

Referenced by cmp(), operator<<, operator=(), operator=(), STOFFEmbeddedObject(), and STOFFEmbeddedObject().

## ◆ STOFFEmbeddedObject() [2/4]

STOFFEmbeddedObject::STOFFEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = "image/pict" )
| inline

constructor

## ◆ STOFFEmbeddedObject() [3/4]

STOFFEmbeddedObject::STOFFEmbeddedObject | ( | STOFFEmbeddedObject const & |  | ) |
| default

## ◆ STOFFEmbeddedObject() [4/4]

STOFFEmbeddedObject::STOFFEmbeddedObject | ( | STOFFEmbeddedObject && |  | ) |
| default

## ◆ ~STOFFEmbeddedObject()

STOFFEmbeddedObject::~STOFFEmbeddedObject | ( |  | ) |

destructor

## Member Function Documentation

## ◆ add()

void STOFFEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = "image/pict" )
| inline

add a picture

Referenced by SDGParser::readBitmap(), StarFileManager::readEmbeddedPicture(), StarFileManager::readOLEDirectory(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and STOFFEmbeddedObject().

## ◆ addAsFillImageTo()

bool STOFFEmbeddedObject::addAsFillImageTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to a graph style as bitmap

## ◆ addTo()

bool STOFFEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by STOFFGraphicListener::insertPicture(), STOFFSpreadsheetListener::insertPicture(), and STOFFTextListener::insertPicture().

## ◆ cmp()

int STOFFEmbeddedObject::cmp | ( | STOFFEmbeddedObject const & | pict | ) | const

a comparison function

## ◆ isEmpty()

bool STOFFEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::operator<<, operator<<, SDGParser::readBitmap(), StarFileManager::readOLEDirectory(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectTextInternal::GraphZone::send(), and StarObjectTextInternal::OLEZone::send().

## ◆ operator=() [1/2]

STOFFEmbeddedObject & STOFFEmbeddedObject::operator= | ( | STOFFEmbeddedObject && |  | ) |
| default

## ◆ operator=() [2/2]

STOFFEmbeddedObject & STOFFEmbeddedObject::operator= | ( | STOFFEmbeddedObject const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFEmbeddedObject const & | pict )
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<librevenge::RVNGBinaryData> STOFFEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by add(), addAsFillImageTo(), addTo(), cmp(), isEmpty(), StarFileManager::readEmbeddedPicture(), STOFFEmbeddedObject(), and STOFFEmbeddedObject().

## ◆ m_filenameLink

librevenge::RVNGString STOFFEmbeddedObject::m_filenameLink

a picture link

Referenced by addTo(), isEmpty(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), STOFFEmbeddedObject(), and STOFFEmbeddedObject().

## ◆ m_typeList

std::vector<std::string> STOFFEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by add(), addAsFillImageTo(), addTo(), cmp(), operator<<, StarFileManager::readEmbeddedPicture(), STOFFEmbeddedObject(), and STOFFEmbeddedObject().

The documentation for this struct was generated from the following files:

- libstaroffice_internal.hxx
- libstaroffice_internal.cxx